#! /bin/bash

set -ex
umask 02

# Setup a clean build directory
cd /common/export/etherbone/build
rm -rf bel_projects
git clone --recursive -b asterisk https://github.com/stefanrauch/bel_projects.git

# use native compiler (who the hell set this to PPC :P)
export CROSS_COMPILE=

# Build sources and install
targets="etherbone@ tools@ eca@ driver@"

# 32-bit version
export KERNELDIR=/common/usr/embedded/kernel/scu-i686/2.6.33.9-rt31-scu01
rm -rf ../i386
make -C bel_projects PREFIX="" STAGING=`pwd`/../i386 VME_SOURCE=external EXTRA_FLAGS="-m32" distclean ${targets//@/}
make -C bel_projects PREFIX="" STAGING=`pwd`/../i386 VME_SOURCE=external EXTRA_FLAGS="-m32" ${targets//@/-install}
cp -dR ../i386/{bin,include,lib} /common/usr/timing/etherbone/i386

# 64-bit version
export KERNELDIR=/common/usr/embedded/kernel/scu-x86_64/2.6.33.9-rt31-scu01
rm -rf ../x86_64
make -C bel_projects PREFIX="" STAGING=`pwd`/../x86_64 VME_SOURCE=external distclean ${targets//@/}
make -C bel_projects PREFIX="" STAGING=`pwd`/../x86_64 VME_SOURCE=external ${targets//@/-install}
cp -dR ../x86_64/{bin,include,lib} /common/usr/timing/etherbone/x86_64
